SystemRegistryImpl (Groovy 5.1.0)

Package: org.apache.groovy.groovysh.jline

## [Java] Class SystemRegistryImpl

- org.apache.groovy.groovysh.jline.SystemRegistryImpl

- All Implemented Interfaces and Traits:
    org.jline.console.SystemRegistry

      public class SystemRegistryImpl
      extends Object
      implements org.jline.console.SystemRegistry

  Aggregate command registries.

- - ### Nested Class Summary

    Nested classes
    Modifiers | Name | Description
    --- | --- | ---
    `protected static class` | `SystemRegistryImpl.CommandData` |
    `enum` | `SystemRegistryImpl.Pipe` |
    `static class` | `SystemRegistryImpl.UnknownCommandException` |

  - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `protected org.jline.builtins.ConfigurationPath` | `configPath` |
    `protected org.jline.reader.Parser` | `parser` |
    `protected Supplier<Path>` | `workDir` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `SystemRegistryImpl(org.jline.reader.Parser parser, org.jline.terminal.Terminal terminal, Supplier<Path> workDir, org.jline.builtins.ConfigurationPath configPath)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public void` | `addCompleter(org.jline.reader.Completer completer)`
    `` | `public void` | `cleanUp()`
    `` | `public void` | `close()`
    `` | `public Map<String, String>` | `commandAliases()`
    `` | `public org.jline.console.CmdDesc` | `commandDescription(List<String> args)`
    `` | `public org.jline.console.CmdDesc` | `commandDescription(org.jline.console.CmdLine line)`
    `` | `public List<String>` | `commandInfo(String command)`
    `` | `public Set<String>` | `commandNames()`
    `` | `public org.jline.reader.impl.completer.SystemCompleter` | `compileCompleters()`
    `` | `public org.jline.reader.Completer` | `completer()`
    `` | `public org.jline.console.ConsoleEngine` | `consoleEngine()`
    `` | `public Object` | `consoleOption(String name)`
    `<T>` | `public T` | `consoleOption(String name, T defVal)`
    `` | `public Object` | `execute(String line)`
    `` | `public Collection<String>` | `getPipeNames()`
    `` | `public SystemRegistryImpl` | `groupCommandsInHelp(boolean commandGroups)`
    `` | `public boolean` | `hasCommand(String command)`
    `` | `public void` | `initialize(File script)`
    `` | `public Object` | `invoke(String command, Object args)`
    `` | `public boolean` | `isCommandAlias(String command)`
    `` | `public boolean` | `isCommandOrScript(org.jline.reader.ParsedLine line)`
    `` | `public boolean` | `isCommandOrScript(String command)`
    `` | `public void` | `register(String command, org.jline.console.CommandRegistry subcommandRegistry)` Register subcommand registry
    `` | `public void` | `rename(SystemRegistryImpl.Pipe pipe, String name)`
    `` | `public void` | `renameLocal(String command, String newName)`
    `` | `public void` | `setCommandRegistries(org.jline.console.CommandRegistry commandRegistries)`
    `` | `public void` | `setConsoleOption(String name, Object value)`
    `` | `public void` | `setGroupCommandsInHelp(boolean commandGroups)`
    `` | `public void` | `setScriptDescription(Function<org.jline.console.CmdLine, org.jline.console.CmdDesc> scriptDescription)`
    `` | `public org.jline.terminal.Terminal` | `terminal()`
    `` | `public void` | `trace(Throwable exception)`
    `` | `public void` | `trace(boolean stack, Throwable exception)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### protected final org.jline.builtins.ConfigurationPath configPath

    - #### protected final org.jline.reader.Parser parser

    - #### protected final Supplier<Path> workDir

  - ### Constructor Detail

    - #### @SuppressWarnings("this-escape")
      public SystemRegistryImpl(org.jline.reader.Parser parser, org.jline.terminal.Terminal terminal, Supplier<Path> workDir, org.jline.builtins.ConfigurationPath configPath)

  - ### Method Detail

    - #### public void addCompleter(org.jline.reader.Completer completer)

    - #### public void cleanUp()

    - #### @Override
      public void close()

    - #### @Override
      public Map<String, String> commandAliases()

    - #### @Override
      public org.jline.console.CmdDesc commandDescription(List<String> args)

    - #### @Override
      public org.jline.console.CmdDesc commandDescription(org.jline.console.CmdLine line)

    - #### @Override
      public List<String> commandInfo(String command)

    - #### @Override
      public Set<String> commandNames()

    - #### @Override
      public org.jline.reader.impl.completer.SystemCompleter compileCompleters()

    - #### @Override
      public org.jline.reader.Completer completer()

    - #### public org.jline.console.ConsoleEngine consoleEngine()

    - #### @Override
      public Object consoleOption(String name)

    - #### <T> @Override
      public T consoleOption(String name, T defVal)

    - #### @Override
      public Object execute(String line)

    - #### @Override
      public Collection<String> getPipeNames()

    - #### public SystemRegistryImpl groupCommandsInHelp(boolean commandGroups)

    - #### @Override
      public boolean hasCommand(String command)

    - #### @Override
      public void initialize(File script)

    - #### @Override
      public Object invoke(String command, Object args)

    - #### @Override
      public boolean isCommandAlias(String command)

    - #### @Override
      public boolean isCommandOrScript(org.jline.reader.ParsedLine line)

    - #### @Override
      public boolean isCommandOrScript(String command)

    - #### @Override
      public void register(String command, org.jline.console.CommandRegistry subcommandRegistry)

      Register subcommand registry

      Parameters:
        `command` - main command
        `subcommandRegistry` - subcommand registry

    - #### public void rename(SystemRegistryImpl.Pipe pipe, String name)

    - #### public void renameLocal(String command, String newName)

    - #### @Override
      public void setCommandRegistries(org.jline.console.CommandRegistry commandRegistries)

    - #### @Override
      public void setConsoleOption(String name, Object value)

    - #### public void setGroupCommandsInHelp(boolean commandGroups)

    - #### public void setScriptDescription(Function<org.jline.console.CmdLine, org.jline.console.CmdDesc> scriptDescription)

    - #### public org.jline.terminal.Terminal terminal()

    - #### @Override
      public void trace(Throwable exception)

    - #### @Override
      public void trace(boolean stack, Throwable exception)